package main

import "github.com/ceph/go-ceph/rados"

type Params struct {
	config  string
	keyring string
}

type CephConnection struct {
	conn *rados.Conn
}

type iRBD interface {
	getName() string
	getSize() int64
}

type RBDUsage struct {
	Images []RBD `json:"images"`
}

type RBD struct {
	Name          string `json:"name"`
	Id            string `json:"id"`
	RequestedSize uint64 `json:"provisioned_size"`
	UsedSize      int64  `json:"used_size"`
}

func (r RBD) getName() string {
	return r.Name
}

func (r RBD) getSize() int64 {
	return r.UsedSize
}

type Pool struct {
	Name    string
	RBDlist []RBD
	// RBDlist []string
}
